Skip to main content
`Ctrl`+`K`

# MatSetLayouts

Sets the `PetscLayout` objects for rows and columns of a matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetLayouts(Mat A, PetscLayout rmap, PetscLayout cmap)

Logically Collective

## Input Parameters

- A - the matrix

- rmap - row layout

- cmap - column layout

## Note

The `PetscLayout` objects are usually created automatically for the matrix so this routine rarely needs to be called.

## See Also

Matrices, `Mat`, `PetscLayout`, `MatCreateVecs()`, `MatGetLocalToGlobalMapping()`, `MatGetLayouts()`

## Level

advanced

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages